%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}
%global __provides_exclude_from	%{_datadir}/help/.*
%global __requires_exclude_from	%{_datadir}/help/.*

Summary:		GNOME Developer Documentation
Name:			gnome-devel-docs
Version:		40.3
Release:		%mkrel 3
License:		GFDL
Group:			Documentation
Url:			https://developer.gnome.org/
Source0:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:		noarch
BuildRequires:		scrollkeeper
BuildRequires:		pkgconfig
BuildRequires:		itstool
BuildRequires:		libxml2-utils
BuildRequires:		intltool

%description
This package contains the GNOME Handbook, the GNOME Documentation Style Guide
and an Overview of the GNOME Platform.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%find_lang %{name} --all-name --with-gnome

%files -f %{name}.lang
%doc NEWS  README AUTHORS


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 40.3-3.mga10
+ Revision: 2209834
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 40.3-2.mga9
+ Revision: 1820726
- Mageia 9 Mass Rebuild

* Fri Jul 09 2021 ovitters <ovitters> 40.3-1.mga9
+ Revision: 1735340
- new version 40.3

* Wed Mar 24 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709528
- new version 40.0

* Sat Nov 21 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1648293
- new version 3.38.2

* Sun Oct 04 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1632129
- new version 3.38.1

* Sun Sep 13 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625443
- new version 3.38.0

* Mon Sep 07 2020 tv <tv> 3.37.92-1.mga8
+ Revision: 1623084
- 3.37.92

* Sat Feb 15 2020 umeabot <umeabot> 3.32.1-2.mga8
+ Revision: 1525258
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Apr 08 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1386887
- new version 3.32.1

* Mon Mar 11 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1374359
- new version 3.32.0

* Wed Nov 21 2018 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1332859
- new version 3.30.2

* Thu Sep 20 2018 umeabot <umeabot> 3.30.1-2.mga7
+ Revision: 1278428
- Mageia 7 Mass Rebuild

* Wed Sep 12 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1258637
- new version 3.30.1

* Wed Sep 12 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1258615
- new version 3.30.0

* Wed Mar 14 2018 tv <tv> 3.28.0-1.mga7
+ Revision: 1209463
- new release

* Mon Oct 09 2017 tv <tv> 3.26.0-1.mga7
+ Revision: 1170411
- new release

* Mon Oct 10 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060105
- new version 3.22.1

* Tue Sep 20 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054575
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.90-1.mga6
+ Revision: 1053997
- new version 3.21.90

* Tue May 10 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011939
- new version 3.20.2

* Mon Apr 11 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000433
- new version 3.20.1

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 994167
- new version 3.20.0

* Sat Feb 20 2016 umeabot <umeabot> 3.18.1-2.mga6
+ Revision: 971242
- Mageia 6 Mass Rebuild

* Tue Oct 13 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890271
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883185
- new release

* Tue Sep 15 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879598
- new version 3.17.92

* Wed Jul 22 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 856038
- new version 3.17.4

* Mon Jun 22 2015 ovitters <ovitters> 3.16.2-1.mga6
+ Revision: 838545
- new version 3.16.2

* Sun Jan 25 2015 ovitters <ovitters> 3.14.4-1.mga5
+ Revision: 812205
- new version 3.14.4

* Wed Dec 24 2014 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 805389
- new version 3.14.3

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796313
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 740600
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738539
- new version 3.14.1

* Mon Sep 29 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 731719
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679714
- Mageia 5 Mass Rebuild
+ tv <tv>
- auto convert _exclude_files_from_autoreq

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676953
- new version 3.13.92

* Mon Sep 01 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 670574
- new version 3.13.91

* Mon Aug 18 2014 ovitters <ovitters> 3.12.3-1.mga5
+ Revision: 665161
- new version 3.12.3

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622353
- new version 3.12.2

* Tue Apr 15 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614355
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608063
- new version 3.12.0

* Tue Mar 18 2014 dams <dams> 3.11.92-1.mga5
+ Revision: 604682
- new version 3.11.92

* Fri Feb 21 2014 ovitters <ovitters> 3.10.3-1.mga5
+ Revision: 595252
- new version 3.10.3

* Tue Nov 12 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550670
- new version 3.10.2

* Sat Nov 02 2013 fwang <fwang> 3.10.1-3.mga4
+ Revision: 548881
- filter correctly

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 545188
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 500885
- new version 3.10.1

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485354
- new version 3.10.0

* Fri May 24 2013 ovitters <ovitters> 3.8.1-1.mga4
+ Revision: 426654
- br itstool,libxml2-utils,intltool
- new version 3.8.1

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 352105
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 12 2012 ovitters <ovitters> 3.6.2-1.mga3
+ Revision: 317254
- new version 3.6.2

* Wed Oct 17 2012 ovitters <ovitters> 3.6.1-2.mga3
+ Revision: 307473
- update group
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297247
- new version 3.6.0
+ fwang <fwang>
- exclude requires from help files

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282744
- new version 3.5.90

* Mon Aug 06 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279514
- new version 3.5.5

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271594
- new version 3.5.4

* Wed Jun 27 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 264517
- new version 3.5.3

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231115
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226854
- new version 3.4.0

* Wed Mar 21 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225502
- update file list
- new version 3.3.92

* Thu Feb 23 2012 ovitters <ovitters> 3.3.3-1.mga2
+ Revision: 213507
- new version

* Tue Jan 24 2012 fwang <fwang> 3.3.1-1.mga2
+ Revision: 200505
- new version 3.3.1

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156164
- new version 3.2.1

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149116
- new version 3.2.0
- imported package gnome-devel-docs


* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581808
- update to new version 2.32.0

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539188
- update to new version 2.30.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528902
- update to new version 2.30.0

* Mon Feb 22 2010 Götz Waschk <waschk@mandriva.org> 2.29.3-1mdv2010.1
+ Revision: 509425
- update to new version 2.29.3

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.2-1mdv2010.1
+ Revision: 502720
- update to new version 2.29.2

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 496507
- update to new version 2.29.1

* Sat Nov 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.1
+ Revision: 467785
- disable parallel make
- update to new version 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446706
- update to new version 2.28.0

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 420753
- update to new version 2.27.1

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 377445
- update to new version 2.26.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 367220
- update to new version 2.26.1

* Tue Mar 31 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-2mdv2009.1
+ Revision: 363011
- fix devel file list

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356186
- update to new version 2.26.0

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 315790
- update to new version 2.24.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286839
- new version

* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.1-1mdv2009.0
+ Revision: 279747
- new version
- fix license

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.22.0-3mdv2009.0
+ Revision: 246405
- rebuild

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 185042
- new version

* Thu Feb 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 167795
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89354
- new version


* Mon Mar 19 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2007.1
+ Revision: 146630
- Import gnome-devel-docs

* Mon Mar 19 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2007.1
- initial package

